summaryrefslogtreecommitdiff
path: root/test/integration/test-apt-progress-fd-deb822
diff options
context:
space:
mode:
authorMichael Vogt <mvo@debian.org>2013-10-21 21:42:16 +0200
committerMichael Vogt <mvo@debian.org>2013-10-21 22:11:18 +0200
commit3b1b0f2900347ef2836c7ee4cc3ee20c6cdcb621 (patch)
treef6d1505929ddb5e53b8e7ea1f507563f0db4f22c /test/integration/test-apt-progress-fd-deb822
parentd274520ee8d174aa9f062f2fbb2c4d117a121dd8 (diff)
restore binary compatiblity with the pkgPackageManager interface
Diffstat (limited to 'test/integration/test-apt-progress-fd-deb822')
-rw-r--r--test/integration/test-apt-progress-fd-deb82254
1 files changed, 54 insertions, 0 deletions
diff --git a/test/integration/test-apt-progress-fd-deb822 b/test/integration/test-apt-progress-fd-deb822
new file mode 100644
index 000000000..0a7be0cd8
--- /dev/null
+++ b/test/integration/test-apt-progress-fd-deb822
@@ -0,0 +1,54 @@
+
+set -e
+
+TESTDIR=$(readlink -f $(dirname $0))
+. $TESTDIR/framework
+
+setupenvironment
+configarchitecture 'amd64' 'i386'
+
+buildsimplenativepackage 'testing' 'amd64' '0.1' 'stable'
+buildsimplenativepackage 'testing' 'all' '0.8.15' 'stable'
+buildsimplenativepackage 'testing2' 'amd64,i386' '0.8.15' 'stable'
+setupaptarchive
+
+# install native
+exec 3> apt-progress.log
+testsuccess aptget install testing=0.1 -y -o APT::Status-deb822-Fd=3
+testequal "# and compare
+testequal "percent:0
+message: Running dpkg
+
+package: testing2
+percent: 0
+message: Installing testing2 (i386)
+
+package: testing2
+percent: 20
+message: Preparing testing2 (i386)
+
+package: testing2
+percent: 40
+message: Unpacking testing2 (i386)
+
+package: testing2
+percent: 60
+message: Preparing to configure testing2 (i386)
+
+percent: 60
+message: Running dpkg
+
+package: testing2
+percent: 60
+message: Configuring testing2 (i386)
+
+package: testing2
+percent: 80
+message: Configuring testing2 (i386)
+
+package: testing2
+percent: 100
+message: Installed testing2 (i386)" cat apt-progress.log
+
+
+rm -f apt-progress*.log